%{?nodejs_find_provides_and_requires}

%global enable_tests 1 
%global packagename url-join

Name:       nodejs-%{packagename}
Version:    2.0.1
Release:    2%{?dist}
Summary:    Join all arguments together and normalize the resulting url
License:    MIT
URL:        https://github.com/jfromaniello/%{packagename}
Source0:    https://github.com/jfromaniello/%{packagename}/archive/v%{version}.tar.gz

BuildArch:  noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(should)
%endif

%description
Join all arguments together and normalize the resulting url.

%prep
%autosetup -n %{packagename}-%{version}

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib \
    %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
mocha --require should
%endif

%files
%doc README.md  
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Apr 28 2017 Parag Nemade <pnemade AT redhat DOT com> - 2.0.1-1
- initial package
